
TYPO3.Neos - Task # 7497

Status: Resolved Priority: Should have
Author: Robert Lemke Category:
Created: 2010-04-27 Assigned To:
Updated: 2012-08-31 Due date:
Subject: Design generic error message screen for TYPO3 frontend
Description

There are situations in which TYPO3 is just not correctly configured, not site has been defined, no root node is found or some other
fundamental error occurs. Currently TYPO3 or FLOW3 will just throw an exception and display the message with its built-in exception
handlers (see screenshot).

For TYPO3 we need a well-looking and friendly error page. We need a design for this, implemented as HTML / CSS which allows for
displaying the following information:

    -  error message (short), something like "No Site Defined" 
    -  error code, e.g. 1247043365
    -  description, e.g. "Currently your TYPO3 installation seems to have no site defined, please create one by using the Manage
Content module." 
    -  a help icon / link which points to a wiki or online manual with further information

Please create this as a self-contained HTML file with inline CSS because we can't be sure that the templating system or resource
management works when an error must be displayed.

Related issues:
related to TYPO3.Neos - Task # 7551: Design a Page Not Found screen for the T... Resolved 2010-04-30

History
#1 - 2010-04-28 11:19 - Robert Lemke
- Assigned To set to Jens Hoffmann

#2 - 2010-05-08 15:34 - Jens Hoffmann
- File T35ui-Error-Wireframe-Intern.png added
- Status changed from New to Resolved
- Assigned To deleted (Jens Hoffmann)

Internal Error Message as Wireframe.

For more infos look here #7551

#3 - 2010-05-14 21:13 - Karsten Dambekalns
- % Done changed from 0 to 100

#4 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (518)

#5 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
Files
T35ui-Error-Wireframe-Intern.png 211 kB 2010-05-08 Jens Hoffmann
